 -- Create the trigger
trigger = ScriptTrigger()
trigger:setName("maintrigger")
trigger:setScript("spaceship_tower.lua")
trigger:setFunction("tick")
trigger:setActiveOnCreation(true)

triggerOne = ScriptTrigger()
triggerOne:setScript("spaceship_tower.lua")
triggerOne:setFunction("startSecondQuest")
triggerOne:setTarget("Player")
triggerOne:setAbsCoor(1177.693, -12.796, 203.514)
triggerOne:setRadius(50)
--triggerOne:setDebugDraw(true)

triggerTwo = ScriptTrigger()
triggerTwo:setScript("spaceship_tower.lua")
triggerTwo:setFunction("startThirdQuest")
triggerTwo:setTarget("Player")
triggerTwo:setTriggerParent("panicGuy")
triggerTwo:setRadius(70)
--triggerTwo:setDebugDraw(true)

-- Get objects from orxonox
thisscript:addObject("FPSPlayer", "Player")
thisscript:addObject("GenericNPC", "pedestrianOne")
thisscript:addObject("GenericNPC", "hangarguyOne")
thisscript:addObject("GenericNPC", "panicGuy")
thisscript:addObject("QuestGUI", "First_Quest")
thisscript:addObject("QuestGUI", "Second_Quest")
thisscript:addObject("QuestGUI", "Third_Quest")




-- Globals
questOneStarted = false
barReached = false
runProg = true

-- pedestrian
pedestrian = { }
--{
 function pedestrian:tick(timestep)
  if pedestrianOne:finalGoalReached() then

    pedestrianOne:walkTo(516.458313, -352, -80.734474)
    pedestrianOne:walkTo(512.872253, -352, -116.005737)
    pedestrianOne:walkTo(499.799866, -352, -159.124832)
    pedestrianOne:walkTo(475.927399, -352, -210.216354)
    pedestrianOne:walkTo(448.311920, -352, -265.528564)
    pedestrianOne:walkTo(414.508118, -352, -323.333405)
    pedestrianOne:walkTo(370.584290, -352, -385.605530)
    pedestrianOne:walkTo(343.100464, -352, -415.069794)
    pedestrianOne:walkTo(264.569794, -352, -476.752869)
    pedestrianOne:walkTo(210.117767, -352, -506.892090)
    pedestrianOne:walkTo(164.443237, -352, -522.833435)
    pedestrianOne:walkTo(104.187263, -352, -532.872925)
    pedestrianOne:walkTo(2.165657, -352, -541.539734)
    pedestrianOne:walkTo(-83.860703, -352, -536.539429)
    pedestrianOne:walkTo(-190.057220, -352, -505.938080)
    pedestrianOne:walkTo(-304.299713, -352, -443.351471)
    pedestrianOne:walkTo(-386.765076, -352, -389.817383)
    pedestrianOne:walkTo(-450.359467, -352, -317.446564)
    pedestrianOne:walkTo(-496.030060, -352, -220.342926)
    pedestrianOne:walkTo(-519.588379, -352, -123.082298)
    pedestrianOne:walkTo(-532.314880, -352, -23.615164)
    pedestrianOne:walkTo(-532.617371, -352, 45.020267)
    pedestrianOne:walkTo(-523.393188, -352, 122.215889)
    pedestrianOne:walkTo(-514.028748, -352, 161.396454)
    pedestrianOne:walkTo(-494.465302, -352, 209.894760)
    pedestrianOne:walkTo(-442.015442, -352, 297.304840)
    pedestrianOne:walkTo(-390.615448, -352, 374.627777)
    pedestrianOne:walkTo(-319.119080, -352, 442.413940)
    pedestrianOne:walkTo(-217.457092, -352, 494.077393)
    pedestrianOne:walkTo(-151.378113, -352, 521.028198)
    pedestrianOne:walkTo(-65.499962, -352, 534.818909)
    pedestrianOne:walkTo(-12.994286, -352, 543.250610)
    pedestrianOne:walkTo(43.301056, -352, 545.434570)
    pedestrianOne:walkTo(111.077263, -352, 542.904480)
    pedestrianOne:walkTo(159.826782, -352, 531.741943)
    pedestrianOne:walkTo(218.487457, -352, 509.065948)
    pedestrianOne:walkTo(276.665436, -352, 477.931427)
    pedestrianOne:walkTo(332.371368, -352, 443.890839)
    pedestrianOne:walkTo(378.867981, -352, 401.978882)
    pedestrianOne:walkTo(415.942627, -352, 345.542542)
    pedestrianOne:walkTo(453.910004, -352, 273.056732)
    pedestrianOne:walkTo(488.833588, -352, 204.519592)
    pedestrianOne:walkTo(512.676575, -352, 145.735123)
    pedestrianOne:walkTo(525.567139, -352, 66.236511)

  end

 end

--}



-- hangarguy
hangarguy = { }
--{

 hangarguy.routeProgramed = false

 function hangarguy:tick(timestep)
  if not hangarguy.routeProgramed then

hangarguyOne:walkTo( 4.520885, 35, -715.864136)
hangarguyOne:walkTo( 4.436781, 35, -710.607483)
hangarguyOne:walkTo( 4.271256, 35, -700.261902)
hangarguyOne:walkTo( 4.108314, 35, -690.077698)
hangarguyOne:walkTo( 2.860425, 35, -612.082458)
hangarguyOne:walkTo( 2.336200, 35, -579.317566)
hangarguyOne:walkTo( 19.468971, 35, -558.118713)
hangarguyOne:walkTo( 58.664307, 35, -541.788879)
hangarguyOne:walkTo( 102.207947, 35, -538.448669)
hangarguyOne:walkTo( 148.613098, 35, -525.434814)
hangarguyOne:walkTo( 194.356705, 35, -510.325592)
hangarguyOne:walkTo( 241.033600, 35, -493.087036)
hangarguyOne:walkTo( 280.100891, 35, -476.127960)
hangarguyOne:walkTo( 317.930084, 35, -459.305878)
hangarguyOne:walkTo( 352.476410, 35, -435.666595)
hangarguyOne:walkTo( 372.327820, 35, -421.279785)
hangarguyOne:walkTo( 399.971436, 35, -395.954559)
hangarguyOne:walkTo( 416.877686, 35, -362.181549)
hangarguyOne:walkTo( 432.721222, 35, -311.302490)
hangarguyOne:walkTo( 469.218750, 35, -233.788040)
hangarguyOne:walkTo( 487.923004, 35, -200.841125)
hangarguyOne:walkTo( 506.862518, 35, -162.215515)
hangarguyOne:walkTo( 529.612061, 35, -115.549751)
hangarguyOne:walkTo( 542.065125, 35, -88.352898)
hangarguyOne:walkTo( 558.192444, 35, -39.543404)
hangarguyOne:walkTo( 559.105713, 35, -34.795399)
hangarguyOne:walkTo( 563.437378, 35, -31.207838)
hangarguyOne:walkTo( 575.247192, 35, -21.994106)
hangarguyOne:walkTo( 590.928040, 35, -15.268648)
hangarguyOne:walkTo( 660.693298, 35, -4.461691)
hangarguyOne:walkTo( 666.650879, 35, -2.223409)
hangarguyOne:walkTo( 668.187927, 35, 4.955472)
hangarguyOne:walkTo( 671.830505, 35, 21.968117)
hangarguyOne:walkTo( 675.100159, 35, 37.731144)
hangarguyOne:walkTo( 677.764221, 35, 53.632107)
hangarguyOne:walkTo( 677.170837, 35, 62.944923)
hangarguyOne:walkTo( 675.125671, 35, 81.444199)
hangarguyOne:walkTo( 674.070251, 35, 97.964783)
hangarguyOne:walkTo( 674.865112, 35, 112.956894)
hangarguyOne:walkTo( 683.106750, 35, 123.733559)
hangarguyOne:walkTo( 697.092224, 35, 130.347214)
hangarguyOne:walkTo( 711.597778, 35, 134.194839)
hangarguyOne:walkTo( 731.452209, 35, 133.556061)
hangarguyOne:walkTo( 744.283691, 35, 127.194984)
hangarguyOne:walkTo( 754.862183, 35, 113.226959)
hangarguyOne:walkTo( 759.921082, 35, 101.175034)
hangarguyOne:walkTo( 765.828674, 35, 86.496742)
hangarguyOne:walkTo( 772.430176, 35, 70.094063)
hangarguyOne:walkTo( 778.920776, 35, 53.967388)
hangarguyOne:walkTo( 786.386292, 35, 36.463428)
hangarguyOne:walkTo( 806.520142, 35, 25.996820)
hangarguyOne:walkTo( 867.622192, 35, 17.105639)
hangarguyOne:walkTo( 897.198181, 35, 13.109496)
hangarguyOne:walkTo( 929.129517, 35, 9.825047)
hangarguyOne:walkTo( 987.034302, 35, 6.972207)
hangarguyOne:walkTo( 1040.090698, 35, 5.634526)
hangarguyOne:walkTo( 1095.084595, 35, 6.542047)
hangarguyOne:walkTo( 1137.440552, 35, 8.371919)
hangarguyOne:walkTo( 1180.903564, 35, 11.816477)

    hangarguy.routeProgramed = true

  end

 end

--}


-- pedestrian
panic = { }
--{
 function panic:tick(timestep)

  if runProg and Player:getAbsCoorX() < 700 then
  panicGuy:setVisibility(true)
  panicGuy:runTo( 532.556641, 21.618149, 121.871323 )
  panicGuy:runTo( 544.452026, 21.618143, 50.025143 )
 
  runProg = false
end

 end

--}



function startSecondQuest(timestep)
if First_Quest:isActive() then
Second_Quest:startGUI()
return true
end

return false
end


function startThirdQuest(timestep)

if barReached then
Third_Quest:startGUI()
return true
end

return false
end


-- THE tick function

function tick(timestep)
--io.write("Towerscript called \n")

if not questOneStarted then
panicGuy:setVisibility(false)
First_Quest:startGUI()
questOneStarted = true
end

if Player:getAbsCoorX() > 800 then
barReached = true
end

if barReached then
panic:tick(timestep)
end

pedestrian:tick(timestep)
hangarguy:tick(timestep)


return false
end